libdap::rvalue Class Reference

`#include <RValue.h>`

## Public Types

typedef std::vector< rvalue * >::const_iterator | Args_citer
typedef std::vector< rvalue * >::iterator | Args_iter

## Public Member Functions

BaseType * | bvalue (DDS &dds)
| rvalue (BaseType *bt)
| rvalue (btp_func f, std::vector< rvalue *> *a)
std::string | value_name ()

## Detailed Description

Holds the rvalues for the parser, Clause objects and evaluator.

See also
  Clause.h
  DDS.h
  expr.y

Definition at line 46 of file RValue.h.

## Member Function Documentation

## bvalue()

BaseType * libdap::rvalue::bvalue | ( | DDS & | dds | ) |

Return the BaseType * for a given rvalue. If the rvalue is a func_rvalue, evaluates the func_rvalue and returns the result. The functions referenced by func_rvalues must encapsulate their return values in BaseType *s.

Parameters

  dds | The dds to pass to a function.

Definition at line 163 of file RValue.cc.

The documentation for this class was generated from the following files:

- RValue.h
- RValue.cc